%global anolis_release .0.1
%global _missing_build_ids_terminate_build 0
%global debug_package   %{nil}

Name:           startdde
Version:        5.8.55
Release:        2%{anolis_release}%{?dist}
Summary:        Starter of deepin desktop environment
License:        GPLv3
URL:            https://github.com/linuxdeepin/startdde
Source0:        %{name}-%{version}.tar.gz

Patch1000:      Makefile.patch
Patch1001:      main.go.patch
Patch1002:      0002-kwin-change-to-metacity.patch

BuildRequires:  golang
BuildRequires:  jq
BuildRequires:  glib2-devel
BuildRequires:  pkgconfig(x11)
BuildRequires:  libXcursor-devel
BuildRequires:  libXfixes-devel
BuildRequires:  gtk3-devel
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  libgnome-keyring-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  pkgconfig(gudev-1.0)
BuildRequires:  go-gir-generator
BuildRequires:  dde-api-devel
BuildRequires:  go-lib-devel
BuildRequires:  golang-github-linuxdeepin-go-x11-client-devel
BuildRequires:  golang-github-linuxdeepin-go-dbus-factory-devel
#gocode
BuildRequires:  golang-github-davecgh-go-spew-devel
BuildRequires:  golang-x-xerrors-devel
BuildRequires:  golang-github-fsnotify-fsnotify-devel
BuildRequires:  golang-dbus
BuildRequires:  golang-github-rickb777-date-devel
BuildRequires:  golang-github-mattn-go-sqlite3-devel
BuildRequires:  golang-gopkg-alecthomas-kingpin-devel
BuildRequires:  golang-github-disintegration-imaging-devel
BuildRequires:  golang-github-fogleman-gg-devel
BuildRequires:  golang-github-gosexy-gettext-devel
BuildRequires:  golang-github-axgle-mahonia-devel
BuildRequires:  golang-github-cryptix-wav-devel
BuildRequires:  golang-github-kelvins-sunrisesunset-devel
BuildRequires:  golang-github-lofanmi-pinyin
BuildRequires:  golang-github-nfnt-resize-devel
BuildRequires:  golang-x-image-devel
BuildRequires:  golang-x-text-devel
BuildRequires:  golang-github-mozillazg-pinyin
BuildRequires:  golang-github-msteinert-pam-devel
BuildRequires:  golang-github-stretchr-testify-devel
BuildRequires:  libsecret-devel

Provides:       x-session-manager
Requires:       dde-daemon
Requires:       procps
#Requires:       gocode
Requires:  golang-github-davecgh-go-spew-devel
Requires:  golang-x-xerrors-devel
Requires:  golang-github-fsnotify-fsnotify-devel
Requires:  golang-dbus
Requires:  golang-github-rickb777-date-devel
Requires:  golang-github-mattn-go-sqlite3-devel
Requires:  golang-gopkg-alecthomas-kingpin-devel
Requires:  golang-github-disintegration-imaging-devel
Requires:  golang-github-fogleman-gg-devel
Requires:  golang-github-gosexy-gettext-devel
Requires:  golang-github-axgle-mahonia-devel
Requires:  golang-github-cryptix-wav-devel
Requires:  golang-github-kelvins-sunrisesunset-devel
Requires:  golang-github-lofanmi-pinyin
Requires:  golang-github-nfnt-resize-devel
Requires:  golang-x-image-devel
Requires:  golang-x-text-devel
Requires:  golang-github-mozillazg-pinyin
Requires:  golang-github-msteinert-pam-devel
Requires:  golang-github-stretchr-testify-devel

Requires:       deepin-desktop-schemas
Requires:       dde-kwin
Requires:       libXfixes
Requires:       libXcursor
Recommends:     dde-qt5integration

%description
%{summary}.

%prep
%autosetup -n %{name}-%{version} -p1
sed -i 's|/usr/lib/deepin-daemon|/usr/libexec/deepin-daemon|g' \
misc/auto_launch/chinese.json misc/auto_launch/default.json

#patch Makefile < rpm/Makefile.patch
#patch main.go < rpm/main.go.patch

%build
export GOPATH=/usr/share/gocode

## Scripts in /etc/X11/Xsession.d are not executed after xorg start
sed -i 's|X11/Xsession.d|X11/xinit/xinitrc.d|g' Makefile

%make_build GO_BUILD_FLAGS=-trimpath

%install
%make_install

%post
xsOptsFile=/etc/X11/Xsession.options
update-alternatives --install /usr/bin/x-session-manager x-session-manager \
    /usr/bin/startdde 90 || true
if [ -f $xsOptsFile ];then
	sed -i '/^use-ssh-agent/d' $xsOptsFile
	if ! grep '^no-use-ssh-agent' $xsOptsFile >/dev/null; then
		echo no-use-ssh-agent >> $xsOptsFile
	fi
fi

%files
%doc README.md
%license LICENSE
%{_sysconfdir}/X11/xinit/xinitrc.d/00deepin-dde-env
%{_sysconfdir}/X11/xinit/xinitrc.d/01deepin-profile
%{_sysconfdir}/profile.d/deepin-xdg-dir.sh
%{_bindir}/%{name}
%{_sbindir}/deepin-fix-xauthority-perm
%{_datadir}/xsessions/deepin.desktop
%{_datadir}/lightdm/lightdm.conf.d/60-deepin.conf
%{_datadir}/%{name}/auto_launch.json
%{_datadir}/%{name}/memchecker.json
%{_datadir}/%{name}/app_startup.conf
%{_datadir}/%{name}/filter.conf
%{_datadir}/glib-2.0/schemas/com.deepin.dde.display.gschema.xml
%{_datadir}/glib-2.0/schemas/com.deepin.dde.startdde.gschema.xml
/usr/lib/deepin-daemon/greeter-display-daemon
/usr/share/locale/cs/LC_MESSAGES/startdde.mo
/usr/share/locale/hu/LC_MESSAGES/startdde.mo
/usr/share/locale/ug/LC_MESSAGES/startdde.mo
/usr/share/locale/uk/LC_MESSAGES/startdde.mo
/usr/share/locale/zh_CN/LC_MESSAGES/startdde.mo
/usr/share/locale/zh_HK/LC_MESSAGES/startdde.mo
/usr/share/locale/zh_TW/LC_MESSAGES/startdde.mo

%changelog
* Wed Feb 01 2023 hanshuang <hanshuang@uniontech.com> - 5.8.55-2.0.1
- change to metacity

* Thu Jul 21 2022 liuxingwei liuxingwei@uniontech.com - 5.8.55-2
- rebuild for an8.6

* Thu Nov 11 2021 huzhengming <huzhengming@uniontech.com> - 5.8.55-1
- update to 5.8.55
